# Uses of Interface
org.jsoup.Connection.Response

Packages that use Connection.Response
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
org.jsoup.helper
Package containing classes supporting the core jsoup code.

## Uses of Connection.Response in org.jsoup

Methods in org.jsoup that return Connection.Response
Modifier and Type
Method
Description
`Connection.Response`
Connection.Response.`bufferUp()`
Read the body of the response into a local buffer, so that `parse()` may be called repeatedly on the same connection response (otherwise, once the response is read, its InputStream will have been drained and may not be re-read).
`Connection.Response`
Connection.Response.`charset(String charset)`
Set / override the response character set.
`Connection.Response`
Connection.`execute()`
Execute the request.
`Connection.Response`
Connection.`response()`
Get the response, once the request has been executed.
Methods in org.jsoup with parameters of type Connection.Response
Modifier and Type
Method
Description
`Connection`
Connection.`response(Connection.Response response)`
Set the connection's response

## Uses of Connection.Response in org.jsoup.helper

Classes in org.jsoup.helper that implement Connection.Response
Modifier and Type
Class
Description
`static class`
`HttpConnection.Response`
Methods in org.jsoup.helper that return Connection.Response
Modifier and Type
Method
Description
`Connection.Response`
HttpConnection.Response.`bufferUp()`
`Connection.Response`
HttpConnection.`execute()`
`Connection.Response`
HttpConnection.`response()`
Methods in org.jsoup.helper with parameters of type Connection.Response
Modifier and Type
Method
Description
`Connection`
HttpConnection.`response(Connection.Response response)`